	.file	1 "asm-offsets.c"
	.section .mdebug.abi32
	.previous
	.gnu_attribute 4, 3

 # -G value = 0, Arch = mips32r2, ISA = 33
 # GNU C (OpenWrt/Linaro GCC 4.8-2014.04 r49389) version 4.8.3 (mipsel-openwrt-linux-uclibc)
 #	compiled by GNU C version 4.8.4, GMP version 5.1.3, MPFR version 3.1.2, MPC version 1.0.2
 # GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
 # options passed:  -nostdinc -I ./arch/mips/include
 # -I arch/mips/include/generated -I include -I ./arch/mips/include/uapi
 # -I arch/mips/include/generated/uapi -I ./include/uapi
 # -I include/generated/uapi -I ./arch/mips/include/asm/mach-ralink
 # -I ./arch/mips/include/asm/mach-ralink/mt7620
 # -I ./arch/mips/include/asm/mach-generic
 # -idirafter /var/lib/buildbot/slaves/slave/ramips-mt7620/build/firmware/openwrt/staging_dir/target-mipsel_24kec+dsp_uClibc-0.9.33.2/usr/include
 # -D __KERNEL__ -D VMLINUX_LOAD_ADDRESS=0xffffffff80000000 -D DATAOFFSET=0
 # -D GAS_HAS_SET_HARDFLOAT -D CC_HAVE_ASM_GOTO -D KBUILD_STR(s)=#s
 # -D KBUILD_BASENAME=KBUILD_STR(asm_offsets)
 # -D KBUILD_MODNAME=KBUILD_STR(asm_offsets)
 # -isystem /var/lib/buildbot/slaves/slave/ramips-mt7620/build/firmware/openwrt/staging_dir/toolchain-mipsel_24kec+dsp_gcc-4.8-linaro_uClibc-0.9.33.2/lib/gcc/mipsel-openwrt-linux-uclibc/4.8.3/include
 # -include ./include/linux/kconfig.h -MD arch/mips/kernel/.asm-offsets.s.d
 # arch/mips/kernel/asm-offsets.c -G 0 -mno-check-zero-division -mabi=32
 # -mno-abicalls -mno-branch-likely -msoft-float -march=mips32r2 -mllsc
 # -mplt -mno-shared -auxbase-strip arch/mips/kernel/asm-offsets.s -Os
 # -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs
 # -Werror=implicit-function-declaration -Wno-format-security
 # -Wno-maybe-uninitialized -Wframe-larger-than=1024
 # -Wno-unused-but-set-variable -Wdeclaration-after-statement
 # -Wno-pointer-sign -Werror=implicit-int -Werror=strict-prototypes
 # -std=gnu90 -fno-strict-aliasing -fno-common -ffreestanding
 # -fno-delete-null-pointer-checks -fno-PIE -fno-caller-saves
 # -fno-stack-protector -fomit-frame-pointer -fno-var-tracking-assignments
 # -fno-strict-overflow -fconserve-stack -ffunction-sections
 # -fdata-sections -fverbose-asm --param allow-store-data-races=0
 # options enabled:  -faggressive-loop-optimizations -fauto-inc-dec
 # -fbranch-count-reg -fcombine-stack-adjustments -fcompare-elim
 # -fcprop-registers -fcrossjumping -fcse-follow-jumps -fdata-sections
 # -fdefer-pop -fdelayed-branch -fdevirtualize -fdwarf2-cfi-asm
 # -fearly-inlining -feliminate-unused-debug-types
 # -fexpensive-optimizations -fforward-propagate -ffunction-cse
 # -ffunction-sections -fgcse -fgcse-lm -fgnu-runtime
 # -fguess-branch-probability -fhoist-adjacent-loads -fident
 # -fif-conversion -fif-conversion2 -findirect-inlining -finline
 # -finline-atomics -finline-functions -finline-functions-called-once
 # -finline-small-functions -fipa-cp -fipa-profile -fipa-pure-const
 # -fipa-reference -fipa-sra -fira-hoist-pressure -fira-share-save-slots
 # -fira-share-spill-slots -fivopts -fkeep-static-consts
 # -fleading-underscore -fmath-errno -fmerge-constants
 # -fmerge-debug-strings -fmove-loop-invariants -fomit-frame-pointer
 # -foptimize-register-move -foptimize-sibling-calls -fpartial-inlining
 # -fpcc-struct-return -fpeephole -fpeephole2 -fplt -fprefetch-loop-arrays
 # -fregmove -freorder-blocks -freorder-functions -frerun-cse-after-loop
 # -fsched-critical-path-heuristic -fsched-dep-count-heuristic
 # -fsched-group-heuristic -fsched-interblock -fsched-last-insn-heuristic
 # -fsched-rank-heuristic -fsched-spec -fsched-spec-insn-heuristic
 # -fsched-stalled-insns-dep -fschedule-insns2 -fshow-column -fshrink-wrap
 # -fsigned-zeros -fsplit-ivs-in-unroller -fsplit-wide-types
 # -fstrict-volatile-bitfields -fsync-libcalls -fthread-jumps
 # -ftoplevel-reorder -ftrapping-math -ftree-bit-ccp
 # -ftree-builtin-call-dce -ftree-ccp -ftree-ch -ftree-coalesce-vars
 # -ftree-copy-prop -ftree-copyrename -ftree-cselim -ftree-dce
 # -ftree-dominator-opts -ftree-dse -ftree-forwprop -ftree-fre
 # -ftree-loop-if-convert -ftree-loop-im -ftree-loop-ivcanon
 # -ftree-loop-optimize -ftree-parallelize-loops= -ftree-phiprop -ftree-pre
 # -ftree-pta -ftree-reassoc -ftree-scev-cprop -ftree-sink
 # -ftree-slp-vectorize -ftree-slsr -ftree-sra -ftree-switch-conversion
 # -ftree-tail-merge -ftree-ter -ftree-vrp -funit-at-a-time -fverbose-asm
 # -fzero-initialized-in-bss -mdivide-traps -mdouble-float -mel
 # -mexplicit-relocs -mextern-sdata -mfp-exceptions -mfp32 -mfused-madd
 # -mgp32 -mgpopt -mllsc -mlocal-sdata -mlong32 -mmemcpy -mno-mdmx
 # -mno-mips16 -mno-mips3d -mplt -msoft-float -msplit-addresses -muclibc

	.section	.text.output_ptreg_defines,"ax",@progbits
	.align	2
	.globl	output_ptreg_defines
	.set	nomips16
	.ent	output_ptreg_defines
	.type	output_ptreg_defines, @function
output_ptreg_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 26 "arch/mips/kernel/asm-offsets.c" 1
	
->#MIPS pt_regs offsets.
 # 0 "" 2
 # 27 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R0 32 offsetof(struct pt_regs, regs[0])	 #
 # 0 "" 2
 # 28 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R1 36 offsetof(struct pt_regs, regs[1])	 #
 # 0 "" 2
 # 29 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R2 40 offsetof(struct pt_regs, regs[2])	 #
 # 0 "" 2
 # 30 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R3 44 offsetof(struct pt_regs, regs[3])	 #
 # 0 "" 2
 # 31 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R4 48 offsetof(struct pt_regs, regs[4])	 #
 # 0 "" 2
 # 32 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R5 52 offsetof(struct pt_regs, regs[5])	 #
 # 0 "" 2
 # 33 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R6 56 offsetof(struct pt_regs, regs[6])	 #
 # 0 "" 2
 # 34 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R7 60 offsetof(struct pt_regs, regs[7])	 #
 # 0 "" 2
 # 35 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R8 64 offsetof(struct pt_regs, regs[8])	 #
 # 0 "" 2
 # 36 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R9 68 offsetof(struct pt_regs, regs[9])	 #
 # 0 "" 2
 # 37 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R10 72 offsetof(struct pt_regs, regs[10])	 #
 # 0 "" 2
 # 38 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R11 76 offsetof(struct pt_regs, regs[11])	 #
 # 0 "" 2
 # 39 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R12 80 offsetof(struct pt_regs, regs[12])	 #
 # 0 "" 2
 # 40 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R13 84 offsetof(struct pt_regs, regs[13])	 #
 # 0 "" 2
 # 41 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R14 88 offsetof(struct pt_regs, regs[14])	 #
 # 0 "" 2
 # 42 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R15 92 offsetof(struct pt_regs, regs[15])	 #
 # 0 "" 2
 # 43 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R16 96 offsetof(struct pt_regs, regs[16])	 #
 # 0 "" 2
 # 44 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R17 100 offsetof(struct pt_regs, regs[17])	 #
 # 0 "" 2
 # 45 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R18 104 offsetof(struct pt_regs, regs[18])	 #
 # 0 "" 2
 # 46 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R19 108 offsetof(struct pt_regs, regs[19])	 #
 # 0 "" 2
 # 47 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R20 112 offsetof(struct pt_regs, regs[20])	 #
 # 0 "" 2
 # 48 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R21 116 offsetof(struct pt_regs, regs[21])	 #
 # 0 "" 2
 # 49 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R22 120 offsetof(struct pt_regs, regs[22])	 #
 # 0 "" 2
 # 50 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R23 124 offsetof(struct pt_regs, regs[23])	 #
 # 0 "" 2
 # 51 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R24 128 offsetof(struct pt_regs, regs[24])	 #
 # 0 "" 2
 # 52 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R25 132 offsetof(struct pt_regs, regs[25])	 #
 # 0 "" 2
 # 53 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R26 136 offsetof(struct pt_regs, regs[26])	 #
 # 0 "" 2
 # 54 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R27 140 offsetof(struct pt_regs, regs[27])	 #
 # 0 "" 2
 # 55 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R28 144 offsetof(struct pt_regs, regs[28])	 #
 # 0 "" 2
 # 56 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R29 148 offsetof(struct pt_regs, regs[29])	 #
 # 0 "" 2
 # 57 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R30 152 offsetof(struct pt_regs, regs[30])	 #
 # 0 "" 2
 # 58 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_R31 156 offsetof(struct pt_regs, regs[31])	 #
 # 0 "" 2
 # 59 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_LO 168 offsetof(struct pt_regs, lo)	 #
 # 0 "" 2
 # 60 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_HI 164 offsetof(struct pt_regs, hi)	 #
 # 0 "" 2
 # 64 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_EPC 180 offsetof(struct pt_regs, cp0_epc)	 #
 # 0 "" 2
 # 65 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_BVADDR 172 offsetof(struct pt_regs, cp0_badvaddr)	 #
 # 0 "" 2
 # 66 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_STATUS 160 offsetof(struct pt_regs, cp0_status)	 #
 # 0 "" 2
 # 67 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_CAUSE 176 offsetof(struct pt_regs, cp0_cause)	 #
 # 0 "" 2
 # 72 "arch/mips/kernel/asm-offsets.c" 1
	
->PT_SIZE 184 sizeof(struct pt_regs)	 #
 # 0 "" 2
 # 73 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_ptreg_defines
	.size	output_ptreg_defines, .-output_ptreg_defines
	.section	.text.output_task_defines,"ax",@progbits
	.align	2
	.globl	output_task_defines
	.set	nomips16
	.ent	output_task_defines
	.type	output_task_defines, @function
output_task_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 78 "arch/mips/kernel/asm-offsets.c" 1
	
->#MIPS task_struct offsets.
 # 0 "" 2
 # 79 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_STATE 0 offsetof(struct task_struct, state)	 #
 # 0 "" 2
 # 80 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_THREAD_INFO 4 offsetof(struct task_struct, stack)	 #
 # 0 "" 2
 # 81 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_FLAGS 12 offsetof(struct task_struct, flags)	 #
 # 0 "" 2
 # 82 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_MM 300 offsetof(struct task_struct, mm)	 #
 # 0 "" 2
 # 83 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_PID 360 offsetof(struct task_struct, pid)	 #
 # 0 "" 2
 # 87 "arch/mips/kernel/asm-offsets.c" 1
	
->TASK_STRUCT_SIZE 1240 sizeof(struct task_struct)	 #
 # 0 "" 2
 # 88 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_task_defines
	.size	output_task_defines, .-output_task_defines
	.section	.text.output_thread_info_defines,"ax",@progbits
	.align	2
	.globl	output_thread_info_defines
	.set	nomips16
	.ent	output_thread_info_defines
	.type	output_thread_info_defines, @function
output_thread_info_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 93 "arch/mips/kernel/asm-offsets.c" 1
	
->#MIPS thread_info offsets.
 # 0 "" 2
 # 94 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_TASK 0 offsetof(struct thread_info, task)	 #
 # 0 "" 2
 # 95 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_EXEC_DOMAIN 4 offsetof(struct thread_info, exec_domain)	 #
 # 0 "" 2
 # 96 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_FLAGS 8 offsetof(struct thread_info, flags)	 #
 # 0 "" 2
 # 97 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_TP_VALUE 12 offsetof(struct thread_info, tp_value)	 #
 # 0 "" 2
 # 98 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_CPU 16 offsetof(struct thread_info, cpu)	 #
 # 0 "" 2
 # 99 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_PRE_COUNT 20 offsetof(struct thread_info, preempt_count)	 #
 # 0 "" 2
 # 100 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_ADDR_LIMIT 24 offsetof(struct thread_info, addr_limit)	 #
 # 0 "" 2
 # 101 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_RESTART_BLOCK 32 offsetof(struct thread_info, restart_block)	 #
 # 0 "" 2
 # 102 "arch/mips/kernel/asm-offsets.c" 1
	
->TI_REGS 72 offsetof(struct thread_info, regs)	 #
 # 0 "" 2
 # 103 "arch/mips/kernel/asm-offsets.c" 1
	
->_THREAD_SIZE 8192 THREAD_SIZE	 #
 # 0 "" 2
 # 104 "arch/mips/kernel/asm-offsets.c" 1
	
->_THREAD_MASK 8191 THREAD_MASK	 #
 # 0 "" 2
 # 105 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_thread_info_defines
	.size	output_thread_info_defines, .-output_thread_info_defines
	.section	.text.output_thread_defines,"ax",@progbits
	.align	2
	.globl	output_thread_defines
	.set	nomips16
	.ent	output_thread_defines
	.type	output_thread_defines, @function
output_thread_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 110 "arch/mips/kernel/asm-offsets.c" 1
	
->#MIPS specific thread_struct offsets.
 # 0 "" 2
 # 111 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG16 624 offsetof(struct task_struct, thread.reg16)	 #
 # 0 "" 2
 # 112 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG17 628 offsetof(struct task_struct, thread.reg17)	 #
 # 0 "" 2
 # 113 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG18 632 offsetof(struct task_struct, thread.reg18)	 #
 # 0 "" 2
 # 114 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG19 636 offsetof(struct task_struct, thread.reg19)	 #
 # 0 "" 2
 # 115 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG20 640 offsetof(struct task_struct, thread.reg20)	 #
 # 0 "" 2
 # 116 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG21 644 offsetof(struct task_struct, thread.reg21)	 #
 # 0 "" 2
 # 117 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG22 648 offsetof(struct task_struct, thread.reg22)	 #
 # 0 "" 2
 # 118 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG23 652 offsetof(struct task_struct, thread.reg23)	 #
 # 0 "" 2
 # 119 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG29 656 offsetof(struct task_struct, thread.reg29)	 #
 # 0 "" 2
 # 120 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG30 660 offsetof(struct task_struct, thread.reg30)	 #
 # 0 "" 2
 # 121 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_REG31 664 offsetof(struct task_struct, thread.reg31)	 #
 # 0 "" 2
 # 122 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_STATUS 668 offsetof(struct task_struct, thread.cp0_status)	 #
 # 0 "" 2
 # 124 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPU 672 offsetof(struct task_struct, thread.fpu)	 #
 # 0 "" 2
 # 126 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_BVADDR 988 offsetof(struct task_struct, thread.cp0_badvaddr)	 #
 # 0 "" 2
 # 128 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_BUADDR 992 offsetof(struct task_struct, thread.cp0_baduaddr)	 #
 # 0 "" 2
 # 130 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_ECODE 996 offsetof(struct task_struct, thread.error_code)	 #
 # 0 "" 2
 # 132 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_thread_defines
	.size	output_thread_defines, .-output_thread_defines
	.section	.text.output_thread_fpu_defines,"ax",@progbits
	.align	2
	.globl	output_thread_fpu_defines
	.set	nomips16
	.ent	output_thread_fpu_defines
	.type	output_thread_fpu_defines, @function
output_thread_fpu_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 137 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR0 672 offsetof(struct task_struct, thread.fpu.fpr[0])	 #
 # 0 "" 2
 # 138 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR1 680 offsetof(struct task_struct, thread.fpu.fpr[1])	 #
 # 0 "" 2
 # 139 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR2 688 offsetof(struct task_struct, thread.fpu.fpr[2])	 #
 # 0 "" 2
 # 140 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR3 696 offsetof(struct task_struct, thread.fpu.fpr[3])	 #
 # 0 "" 2
 # 141 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR4 704 offsetof(struct task_struct, thread.fpu.fpr[4])	 #
 # 0 "" 2
 # 142 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR5 712 offsetof(struct task_struct, thread.fpu.fpr[5])	 #
 # 0 "" 2
 # 143 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR6 720 offsetof(struct task_struct, thread.fpu.fpr[6])	 #
 # 0 "" 2
 # 144 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR7 728 offsetof(struct task_struct, thread.fpu.fpr[7])	 #
 # 0 "" 2
 # 145 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR8 736 offsetof(struct task_struct, thread.fpu.fpr[8])	 #
 # 0 "" 2
 # 146 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR9 744 offsetof(struct task_struct, thread.fpu.fpr[9])	 #
 # 0 "" 2
 # 147 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR10 752 offsetof(struct task_struct, thread.fpu.fpr[10])	 #
 # 0 "" 2
 # 148 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR11 760 offsetof(struct task_struct, thread.fpu.fpr[11])	 #
 # 0 "" 2
 # 149 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR12 768 offsetof(struct task_struct, thread.fpu.fpr[12])	 #
 # 0 "" 2
 # 150 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR13 776 offsetof(struct task_struct, thread.fpu.fpr[13])	 #
 # 0 "" 2
 # 151 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR14 784 offsetof(struct task_struct, thread.fpu.fpr[14])	 #
 # 0 "" 2
 # 152 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR15 792 offsetof(struct task_struct, thread.fpu.fpr[15])	 #
 # 0 "" 2
 # 153 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR16 800 offsetof(struct task_struct, thread.fpu.fpr[16])	 #
 # 0 "" 2
 # 154 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR17 808 offsetof(struct task_struct, thread.fpu.fpr[17])	 #
 # 0 "" 2
 # 155 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR18 816 offsetof(struct task_struct, thread.fpu.fpr[18])	 #
 # 0 "" 2
 # 156 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR19 824 offsetof(struct task_struct, thread.fpu.fpr[19])	 #
 # 0 "" 2
 # 157 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR20 832 offsetof(struct task_struct, thread.fpu.fpr[20])	 #
 # 0 "" 2
 # 158 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR21 840 offsetof(struct task_struct, thread.fpu.fpr[21])	 #
 # 0 "" 2
 # 159 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR22 848 offsetof(struct task_struct, thread.fpu.fpr[22])	 #
 # 0 "" 2
 # 160 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR23 856 offsetof(struct task_struct, thread.fpu.fpr[23])	 #
 # 0 "" 2
 # 161 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR24 864 offsetof(struct task_struct, thread.fpu.fpr[24])	 #
 # 0 "" 2
 # 162 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR25 872 offsetof(struct task_struct, thread.fpu.fpr[25])	 #
 # 0 "" 2
 # 163 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR26 880 offsetof(struct task_struct, thread.fpu.fpr[26])	 #
 # 0 "" 2
 # 164 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR27 888 offsetof(struct task_struct, thread.fpu.fpr[27])	 #
 # 0 "" 2
 # 165 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR28 896 offsetof(struct task_struct, thread.fpu.fpr[28])	 #
 # 0 "" 2
 # 166 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR29 904 offsetof(struct task_struct, thread.fpu.fpr[29])	 #
 # 0 "" 2
 # 167 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR30 912 offsetof(struct task_struct, thread.fpu.fpr[30])	 #
 # 0 "" 2
 # 168 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR31 920 offsetof(struct task_struct, thread.fpu.fpr[31])	 #
 # 0 "" 2
 # 171 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR0_LS64 672 offsetof(struct task_struct, thread.fpu.fpr[0].val64[(0)])	 #
 # 0 "" 2
 # 173 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR1_LS64 680 offsetof(struct task_struct, thread.fpu.fpr[1].val64[(0)])	 #
 # 0 "" 2
 # 175 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR2_LS64 688 offsetof(struct task_struct, thread.fpu.fpr[2].val64[(0)])	 #
 # 0 "" 2
 # 177 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR3_LS64 696 offsetof(struct task_struct, thread.fpu.fpr[3].val64[(0)])	 #
 # 0 "" 2
 # 179 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR4_LS64 704 offsetof(struct task_struct, thread.fpu.fpr[4].val64[(0)])	 #
 # 0 "" 2
 # 181 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR5_LS64 712 offsetof(struct task_struct, thread.fpu.fpr[5].val64[(0)])	 #
 # 0 "" 2
 # 183 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR6_LS64 720 offsetof(struct task_struct, thread.fpu.fpr[6].val64[(0)])	 #
 # 0 "" 2
 # 185 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR7_LS64 728 offsetof(struct task_struct, thread.fpu.fpr[7].val64[(0)])	 #
 # 0 "" 2
 # 187 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR8_LS64 736 offsetof(struct task_struct, thread.fpu.fpr[8].val64[(0)])	 #
 # 0 "" 2
 # 189 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR9_LS64 744 offsetof(struct task_struct, thread.fpu.fpr[9].val64[(0)])	 #
 # 0 "" 2
 # 191 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR10_LS64 752 offsetof(struct task_struct, thread.fpu.fpr[10].val64[(0)])	 #
 # 0 "" 2
 # 193 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR11_LS64 760 offsetof(struct task_struct, thread.fpu.fpr[11].val64[(0)])	 #
 # 0 "" 2
 # 195 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR12_LS64 768 offsetof(struct task_struct, thread.fpu.fpr[12].val64[(0)])	 #
 # 0 "" 2
 # 197 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR13_LS64 776 offsetof(struct task_struct, thread.fpu.fpr[13].val64[(0)])	 #
 # 0 "" 2
 # 199 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR14_LS64 784 offsetof(struct task_struct, thread.fpu.fpr[14].val64[(0)])	 #
 # 0 "" 2
 # 201 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR15_LS64 792 offsetof(struct task_struct, thread.fpu.fpr[15].val64[(0)])	 #
 # 0 "" 2
 # 203 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR16_LS64 800 offsetof(struct task_struct, thread.fpu.fpr[16].val64[(0)])	 #
 # 0 "" 2
 # 205 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR17_LS64 808 offsetof(struct task_struct, thread.fpu.fpr[17].val64[(0)])	 #
 # 0 "" 2
 # 207 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR18_LS64 816 offsetof(struct task_struct, thread.fpu.fpr[18].val64[(0)])	 #
 # 0 "" 2
 # 209 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR19_LS64 824 offsetof(struct task_struct, thread.fpu.fpr[19].val64[(0)])	 #
 # 0 "" 2
 # 211 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR20_LS64 832 offsetof(struct task_struct, thread.fpu.fpr[20].val64[(0)])	 #
 # 0 "" 2
 # 213 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR21_LS64 840 offsetof(struct task_struct, thread.fpu.fpr[21].val64[(0)])	 #
 # 0 "" 2
 # 215 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR22_LS64 848 offsetof(struct task_struct, thread.fpu.fpr[22].val64[(0)])	 #
 # 0 "" 2
 # 217 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR23_LS64 856 offsetof(struct task_struct, thread.fpu.fpr[23].val64[(0)])	 #
 # 0 "" 2
 # 219 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR24_LS64 864 offsetof(struct task_struct, thread.fpu.fpr[24].val64[(0)])	 #
 # 0 "" 2
 # 221 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR25_LS64 872 offsetof(struct task_struct, thread.fpu.fpr[25].val64[(0)])	 #
 # 0 "" 2
 # 223 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR26_LS64 880 offsetof(struct task_struct, thread.fpu.fpr[26].val64[(0)])	 #
 # 0 "" 2
 # 225 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR27_LS64 888 offsetof(struct task_struct, thread.fpu.fpr[27].val64[(0)])	 #
 # 0 "" 2
 # 227 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR28_LS64 896 offsetof(struct task_struct, thread.fpu.fpr[28].val64[(0)])	 #
 # 0 "" 2
 # 229 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR29_LS64 904 offsetof(struct task_struct, thread.fpu.fpr[29].val64[(0)])	 #
 # 0 "" 2
 # 231 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR30_LS64 912 offsetof(struct task_struct, thread.fpu.fpr[30].val64[(0)])	 #
 # 0 "" 2
 # 233 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FPR31_LS64 920 offsetof(struct task_struct, thread.fpu.fpr[31].val64[(0)])	 #
 # 0 "" 2
 # 236 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_FCR31 928 offsetof(struct task_struct, thread.fpu.fcr31)	 #
 # 0 "" 2
 # 237 "arch/mips/kernel/asm-offsets.c" 1
	
->THREAD_MSA_CSR 932 offsetof(struct task_struct, thread.fpu.msacsr)	 #
 # 0 "" 2
 # 238 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_thread_fpu_defines
	.size	output_thread_fpu_defines, .-output_thread_fpu_defines
	.section	.text.output_mm_defines,"ax",@progbits
	.align	2
	.globl	output_mm_defines
	.set	nomips16
	.ent	output_mm_defines
	.type	output_mm_defines, @function
output_mm_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 243 "arch/mips/kernel/asm-offsets.c" 1
	
->#Size of struct page
 # 0 "" 2
 # 244 "arch/mips/kernel/asm-offsets.c" 1
	
->STRUCT_PAGE_SIZE 32 sizeof(struct page)	 #
 # 0 "" 2
 # 245 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 246 "arch/mips/kernel/asm-offsets.c" 1
	
->#Linux mm_struct offsets.
 # 0 "" 2
 # 247 "arch/mips/kernel/asm-offsets.c" 1
	
->MM_USERS 36 offsetof(struct mm_struct, mm_users)	 #
 # 0 "" 2
 # 248 "arch/mips/kernel/asm-offsets.c" 1
	
->MM_PGD 32 offsetof(struct mm_struct, pgd)	 #
 # 0 "" 2
 # 249 "arch/mips/kernel/asm-offsets.c" 1
	
->MM_CONTEXT 340 offsetof(struct mm_struct, context)	 #
 # 0 "" 2
 # 250 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 251 "arch/mips/kernel/asm-offsets.c" 1
	
->_PGD_T_SIZE 4 sizeof(pgd_t)	 #
 # 0 "" 2
 # 252 "arch/mips/kernel/asm-offsets.c" 1
	
->_PMD_T_SIZE 4 sizeof(pmd_t)	 #
 # 0 "" 2
 # 253 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTE_T_SIZE 4 sizeof(pte_t)	 #
 # 0 "" 2
 # 254 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 255 "arch/mips/kernel/asm-offsets.c" 1
	
->_PGD_T_LOG2 2 PGD_T_LOG2	 #
 # 0 "" 2
 # 259 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTE_T_LOG2 2 PTE_T_LOG2	 #
 # 0 "" 2
 # 260 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 261 "arch/mips/kernel/asm-offsets.c" 1
	
->_PGD_ORDER 0 PGD_ORDER	 #
 # 0 "" 2
 # 265 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTE_ORDER 0 PTE_ORDER	 #
 # 0 "" 2
 # 266 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 267 "arch/mips/kernel/asm-offsets.c" 1
	
->_PMD_SHIFT 22 PMD_SHIFT	 #
 # 0 "" 2
 # 268 "arch/mips/kernel/asm-offsets.c" 1
	
->_PGDIR_SHIFT 22 PGDIR_SHIFT	 #
 # 0 "" 2
 # 269 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 270 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTRS_PER_PGD 1024 PTRS_PER_PGD	 #
 # 0 "" 2
 # 271 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTRS_PER_PMD 1 PTRS_PER_PMD	 #
 # 0 "" 2
 # 272 "arch/mips/kernel/asm-offsets.c" 1
	
->_PTRS_PER_PTE 1024 PTRS_PER_PTE	 #
 # 0 "" 2
 # 273 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
 # 274 "arch/mips/kernel/asm-offsets.c" 1
	
->_PAGE_SHIFT 12 PAGE_SHIFT	 #
 # 0 "" 2
 # 275 "arch/mips/kernel/asm-offsets.c" 1
	
->_PAGE_SIZE 4096 PAGE_SIZE	 #
 # 0 "" 2
 # 276 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_mm_defines
	.size	output_mm_defines, .-output_mm_defines
	.section	.text.output_sc_defines,"ax",@progbits
	.align	2
	.globl	output_sc_defines
	.set	nomips16
	.ent	output_sc_defines
	.type	output_sc_defines, @function
output_sc_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 282 "arch/mips/kernel/asm-offsets.c" 1
	
->#Linux sigcontext offsets.
 # 0 "" 2
 # 283 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_REGS 16 offsetof(struct sigcontext, sc_regs)	 #
 # 0 "" 2
 # 284 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_FPREGS 272 offsetof(struct sigcontext, sc_fpregs)	 #
 # 0 "" 2
 # 285 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_ACX 528 offsetof(struct sigcontext, sc_acx)	 #
 # 0 "" 2
 # 286 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_MDHI 552 offsetof(struct sigcontext, sc_mdhi)	 #
 # 0 "" 2
 # 287 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_MDLO 560 offsetof(struct sigcontext, sc_mdlo)	 #
 # 0 "" 2
 # 288 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_PC 8 offsetof(struct sigcontext, sc_pc)	 #
 # 0 "" 2
 # 289 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_FPC_CSR 532 offsetof(struct sigcontext, sc_fpc_csr)	 #
 # 0 "" 2
 # 290 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_FPC_EIR 536 offsetof(struct sigcontext, sc_fpc_eir)	 #
 # 0 "" 2
 # 291 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_HI1 568 offsetof(struct sigcontext, sc_hi1)	 #
 # 0 "" 2
 # 292 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_LO1 572 offsetof(struct sigcontext, sc_lo1)	 #
 # 0 "" 2
 # 293 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_HI2 576 offsetof(struct sigcontext, sc_hi2)	 #
 # 0 "" 2
 # 294 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_LO2 580 offsetof(struct sigcontext, sc_lo2)	 #
 # 0 "" 2
 # 295 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_HI3 584 offsetof(struct sigcontext, sc_hi3)	 #
 # 0 "" 2
 # 296 "arch/mips/kernel/asm-offsets.c" 1
	
->SC_LO3 588 offsetof(struct sigcontext, sc_lo3)	 #
 # 0 "" 2
 # 297 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_sc_defines
	.size	output_sc_defines, .-output_sc_defines
	.section	.text.output_signal_defined,"ax",@progbits
	.align	2
	.globl	output_signal_defined
	.set	nomips16
	.ent	output_signal_defined
	.type	output_signal_defined, @function
output_signal_defined:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 328 "arch/mips/kernel/asm-offsets.c" 1
	
->#Linux signal numbers.
 # 0 "" 2
 # 329 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGHUP 1 SIGHUP	 #
 # 0 "" 2
 # 330 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGINT 2 SIGINT	 #
 # 0 "" 2
 # 331 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGQUIT 3 SIGQUIT	 #
 # 0 "" 2
 # 332 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGILL 4 SIGILL	 #
 # 0 "" 2
 # 333 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGTRAP 5 SIGTRAP	 #
 # 0 "" 2
 # 334 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGIOT 6 SIGIOT	 #
 # 0 "" 2
 # 335 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGABRT 6 SIGABRT	 #
 # 0 "" 2
 # 336 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGEMT 7 SIGEMT	 #
 # 0 "" 2
 # 337 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGFPE 8 SIGFPE	 #
 # 0 "" 2
 # 338 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGKILL 9 SIGKILL	 #
 # 0 "" 2
 # 339 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGBUS 10 SIGBUS	 #
 # 0 "" 2
 # 340 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGSEGV 11 SIGSEGV	 #
 # 0 "" 2
 # 341 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGSYS 12 SIGSYS	 #
 # 0 "" 2
 # 342 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGPIPE 13 SIGPIPE	 #
 # 0 "" 2
 # 343 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGALRM 14 SIGALRM	 #
 # 0 "" 2
 # 344 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGTERM 15 SIGTERM	 #
 # 0 "" 2
 # 345 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGUSR1 16 SIGUSR1	 #
 # 0 "" 2
 # 346 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGUSR2 17 SIGUSR2	 #
 # 0 "" 2
 # 347 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGCHLD 18 SIGCHLD	 #
 # 0 "" 2
 # 348 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGPWR 19 SIGPWR	 #
 # 0 "" 2
 # 349 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGWINCH 20 SIGWINCH	 #
 # 0 "" 2
 # 350 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGURG 21 SIGURG	 #
 # 0 "" 2
 # 351 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGIO 22 SIGIO	 #
 # 0 "" 2
 # 352 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGSTOP 23 SIGSTOP	 #
 # 0 "" 2
 # 353 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGTSTP 24 SIGTSTP	 #
 # 0 "" 2
 # 354 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGCONT 25 SIGCONT	 #
 # 0 "" 2
 # 355 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGTTIN 26 SIGTTIN	 #
 # 0 "" 2
 # 356 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGTTOU 27 SIGTTOU	 #
 # 0 "" 2
 # 357 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGVTALRM 28 SIGVTALRM	 #
 # 0 "" 2
 # 358 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGPROF 29 SIGPROF	 #
 # 0 "" 2
 # 359 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGXCPU 30 SIGXCPU	 #
 # 0 "" 2
 # 360 "arch/mips/kernel/asm-offsets.c" 1
	
->_SIGXFSZ 31 SIGXFSZ	 #
 # 0 "" 2
 # 361 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_signal_defined
	.size	output_signal_defined, .-output_signal_defined
	.section	.text.output_kvm_defines,"ax",@progbits
	.align	2
	.globl	output_kvm_defines
	.set	nomips16
	.ent	output_kvm_defines
	.type	output_kvm_defines, @function
output_kvm_defines:
	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, gp= 0
	.mask	0x00000000,0
	.fmask	0x00000000,0
#APP
 # 419 "arch/mips/kernel/asm-offsets.c" 1
	
-># KVM/MIPS Specfic offsets. 
 # 0 "" 2
 # 420 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_ARCH_SIZE 2328 sizeof(struct kvm_vcpu_arch)	 #
 # 0 "" 2
 # 421 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_RUN 40 offsetof(struct kvm_vcpu, run)	 #
 # 0 "" 2
 # 422 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_ARCH 208 offsetof(struct kvm_vcpu, arch)	 #
 # 0 "" 2
 # 424 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_EBASE 0 offsetof(struct kvm_vcpu_arch, host_ebase)	 #
 # 0 "" 2
 # 425 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_GUEST_EBASE 4 offsetof(struct kvm_vcpu_arch, guest_ebase)	 #
 # 0 "" 2
 # 427 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_STACK 12 offsetof(struct kvm_vcpu_arch, host_stack)	 #
 # 0 "" 2
 # 428 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_GP 16 offsetof(struct kvm_vcpu_arch, host_gp)	 #
 # 0 "" 2
 # 430 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_CP0_BADVADDR 20 offsetof(struct kvm_vcpu_arch, host_cp0_badvaddr)	 #
 # 0 "" 2
 # 431 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_CP0_CAUSE 24 offsetof(struct kvm_vcpu_arch, host_cp0_cause)	 #
 # 0 "" 2
 # 432 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_EPC 28 offsetof(struct kvm_vcpu_arch, host_cp0_epc)	 #
 # 0 "" 2
 # 433 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HOST_ENTRYHI 32 offsetof(struct kvm_vcpu_arch, host_cp0_entryhi)	 #
 # 0 "" 2
 # 435 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_GUEST_INST 36 offsetof(struct kvm_vcpu_arch, guest_inst)	 #
 # 0 "" 2
 # 437 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R0 40 offsetof(struct kvm_vcpu_arch, gprs[0])	 #
 # 0 "" 2
 # 438 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R1 44 offsetof(struct kvm_vcpu_arch, gprs[1])	 #
 # 0 "" 2
 # 439 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R2 48 offsetof(struct kvm_vcpu_arch, gprs[2])	 #
 # 0 "" 2
 # 440 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R3 52 offsetof(struct kvm_vcpu_arch, gprs[3])	 #
 # 0 "" 2
 # 441 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R4 56 offsetof(struct kvm_vcpu_arch, gprs[4])	 #
 # 0 "" 2
 # 442 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R5 60 offsetof(struct kvm_vcpu_arch, gprs[5])	 #
 # 0 "" 2
 # 443 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R6 64 offsetof(struct kvm_vcpu_arch, gprs[6])	 #
 # 0 "" 2
 # 444 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R7 68 offsetof(struct kvm_vcpu_arch, gprs[7])	 #
 # 0 "" 2
 # 445 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R8 72 offsetof(struct kvm_vcpu_arch, gprs[8])	 #
 # 0 "" 2
 # 446 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R9 76 offsetof(struct kvm_vcpu_arch, gprs[9])	 #
 # 0 "" 2
 # 447 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R10 80 offsetof(struct kvm_vcpu_arch, gprs[10])	 #
 # 0 "" 2
 # 448 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R11 84 offsetof(struct kvm_vcpu_arch, gprs[11])	 #
 # 0 "" 2
 # 449 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R12 88 offsetof(struct kvm_vcpu_arch, gprs[12])	 #
 # 0 "" 2
 # 450 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R13 92 offsetof(struct kvm_vcpu_arch, gprs[13])	 #
 # 0 "" 2
 # 451 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R14 96 offsetof(struct kvm_vcpu_arch, gprs[14])	 #
 # 0 "" 2
 # 452 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R15 100 offsetof(struct kvm_vcpu_arch, gprs[15])	 #
 # 0 "" 2
 # 453 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R16 104 offsetof(struct kvm_vcpu_arch, gprs[16])	 #
 # 0 "" 2
 # 454 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R17 108 offsetof(struct kvm_vcpu_arch, gprs[17])	 #
 # 0 "" 2
 # 455 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R18 112 offsetof(struct kvm_vcpu_arch, gprs[18])	 #
 # 0 "" 2
 # 456 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R19 116 offsetof(struct kvm_vcpu_arch, gprs[19])	 #
 # 0 "" 2
 # 457 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R20 120 offsetof(struct kvm_vcpu_arch, gprs[20])	 #
 # 0 "" 2
 # 458 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R21 124 offsetof(struct kvm_vcpu_arch, gprs[21])	 #
 # 0 "" 2
 # 459 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R22 128 offsetof(struct kvm_vcpu_arch, gprs[22])	 #
 # 0 "" 2
 # 460 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R23 132 offsetof(struct kvm_vcpu_arch, gprs[23])	 #
 # 0 "" 2
 # 461 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R24 136 offsetof(struct kvm_vcpu_arch, gprs[24])	 #
 # 0 "" 2
 # 462 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R25 140 offsetof(struct kvm_vcpu_arch, gprs[25])	 #
 # 0 "" 2
 # 463 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R26 144 offsetof(struct kvm_vcpu_arch, gprs[26])	 #
 # 0 "" 2
 # 464 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R27 148 offsetof(struct kvm_vcpu_arch, gprs[27])	 #
 # 0 "" 2
 # 465 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R28 152 offsetof(struct kvm_vcpu_arch, gprs[28])	 #
 # 0 "" 2
 # 466 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R29 156 offsetof(struct kvm_vcpu_arch, gprs[29])	 #
 # 0 "" 2
 # 467 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R30 160 offsetof(struct kvm_vcpu_arch, gprs[30])	 #
 # 0 "" 2
 # 468 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_R31 164 offsetof(struct kvm_vcpu_arch, gprs[31])	 #
 # 0 "" 2
 # 469 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_LO 172 offsetof(struct kvm_vcpu_arch, lo)	 #
 # 0 "" 2
 # 470 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_HI 168 offsetof(struct kvm_vcpu_arch, hi)	 #
 # 0 "" 2
 # 471 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_PC 176 offsetof(struct kvm_vcpu_arch, pc)	 #
 # 0 "" 2
 # 472 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_COP0 448 offsetof(struct kvm_vcpu_arch, cop0)	 #
 # 0 "" 2
 # 473 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_GUEST_KERNEL_ASID 1596 offsetof(struct kvm_vcpu_arch, guest_kernel_asid)	 #
 # 0 "" 2
 # 474 "arch/mips/kernel/asm-offsets.c" 1
	
->VCPU_GUEST_USER_ASID 1592 offsetof(struct kvm_vcpu_arch, guest_user_asid)	 #
 # 0 "" 2
 # 476 "arch/mips/kernel/asm-offsets.c" 1
	
->COP0_TLB_HI 320 offsetof(struct mips_coproc, reg[10][0])	 #
 # 0 "" 2
 # 477 "arch/mips/kernel/asm-offsets.c" 1
	
->COP0_STATUS 384 offsetof(struct mips_coproc, reg[12][0])	 #
 # 0 "" 2
 # 478 "arch/mips/kernel/asm-offsets.c" 1
	
->
 # 0 "" 2
#NO_APP
	j	$31
	.end	output_kvm_defines
	.size	output_kvm_defines, .-output_kvm_defines
	.ident	"GCC: (OpenWrt/Linaro GCC 4.8-2014.04 r49389) 4.8.3"
	.section	.note.GNU-stack,"",@progbits
